/* global jQuery:false */
/* global TRX_ADDONS_STORAGE:false */

jQuery(document).on('action.ready_trx_addons', function() {

	"use strict";

	// Added to cart
	if (jQuery('.sc_layouts_cart').length > 0) {
		jQuery('body:not(.added_to_cart_inited)').addClass('added_to_cart_inited').bind('added_to_cart', function() {
			// Update amount on the cart button
			var total = jQuery('.widget_shopping_cart').eq(0).find('.total .amount').text();
			if (total != undefined) {
				jQuery('.sc_layouts_cart_summa').text(total);
			}
			// Update count items on the cart button
			var cnt = 0;
			jQuery('.widget_shopping_cart_content').eq(0).find('.cart_list li').each(function() {
				var q = jQuery(this).find('.quantity').html().split(' ', 2);
				if (!isNaN(q[0]))
					cnt += Number(q[0]);
			});
			var items = jQuery('.sc_layouts_cart_items').eq(0).text().split(' ', 2);
			items[0] = cnt;
			jQuery('.sc_layouts_cart_items').text(items[0]+' '+items[1]);
			jQuery('.sc_layouts_cart_items_short').text(items[0]);
			// Update data-attr on button
			jQuery('.sc_layouts_cart').data({
				'items': cnt ? cnt : 0,
				'summa': total ? total : 0
			});
		});
		// Show/Hide cart 
		jQuery('.sc_layouts_cart:not(.inited)')
			.addClass('inited')
			.on('click', '.sc_layouts_cart_icon,.sc_layouts_cart_details', function(e) {
				var widget = jQuery(this).siblings('.sc_layouts_cart_widget');
				if (widget.length > 0 && widget.text().replace(/\s*/g, '')!='') {
					jQuery(this).siblings('.sc_layouts_cart_widget').slideToggle();
				}
				e.preventDefault();
				return false;
			})
			.on('click', '.sc_layouts_cart_widget_close', function(e) {
				jQuery(this).parent().slideUp();
				e.preventDefault();
				return false;
			});
		var $document = jQuery( document ),
			$body = jQuery( 'body' ),
			$sc_cart = jQuery( '.sc_layouts_cart' ),
			$cart_button = jQuery( '.sc_layouts_cart_button_wrap' );
		// WooCommerce Cart: Update amount on the cart button
		$document.on( 'added_to_cart removed_from_cart', function() {

			var $widget = jQuery( '.widget_shopping_cart' ).eq(0);

			// Update amount value on the cart button
			var total = $widget.find( '.total .amount' ).text();
			if ( total !== undefined ) {
				$sc_cart.find( '.sc_layouts_cart_summa' ).text( total );
			}

			// Update count items on the cart button
			var cnt = 0;
			$widget.find( '.cart_list li' ).each( function() {
				var q = jQuery( this ).find( '.quantity' ).html().split( ' ', 2 );
				if ( ! isNaN( q[0] ) ) {
					cnt += Number( q[0] );
				}
			} );
			var items = $sc_cart.find( '.sc_layouts_cart_items' ).eq(0).text().split( ' ', 2 );
			items[0] = cnt;
			jQuery( '.sc_layouts_cart_items' ).text( items[0] + ( items.length > 1 ? ' ' + items[1] : '' ) );
			jQuery( '.sc_layouts_cart_items_short' ).text( items[0] );
			// Update data-attr on button
			$sc_cart.data( {
				'items': cnt ? cnt : 0,
				'summa': total ? total : 0
			} );
		} );

		// EDD Cart: Update amount on the cart button
		jQuery( document.body ).on( 'edd_cart_item_added edd_cart_item_removed edd_quantity_updated', function ( e, data ) {
			var items = $sc_cart.find( '.sc_layouts_cart_items' ).eq(0).text().split( ' ', 2 );
			items[0] = data.cart_quantity ? data.cart_quantity : data.quantity;
			jQuery( '.sc_layouts_cart_items' ).text( items[0] + ( items.length > 1 ? ' ' + items[1] : '' ) );
			jQuery( '.sc_layouts_cart_items_short' ).text( items[0] );
			jQuery( '.sc_layouts_cart_summa' ).text( data.total );
			// Update data-attr on button
			$sc_cart.data( {
				'items': data.cart_quantity ? data.cart_quantity : 0,
				'summa': data.total ? data.total : 0
			} );
		} );
	}
});